> For the complete documentation index, see [llms.txt](https://www.axisnow.io/zh/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://www.axisnow.io/zh/docs/edge/endpoints/domains.md).

# 域

了解 AxisNow 域的定义及使用方法。

域名是基于 HTTP/S 协议的网站、应用程序或 API，通过 Edge 代理。例如，axisnow\.io、[www.axianow.io、api.axisnow.io。我们将它们视为](http://www.axianow.io、api.axisnow.io。我们将它们视为) 3 个域（hostname）。

{% hint style="info" %}
添加了域后，代理配置将立即在您租户的所有边缘生效。您只需将流量路由至任意的 EIP。
{% endhint %}

{% hint style="info" %}
您无需配置 SSL 证书，AxisNow 默认为所有域实现自动 HTTPS。
{% endhint %}

## 域由几个特征定义 <a href="#domain-attributes" id="domain-attributes"></a>

### 基础信息 <a href="#basics" id="basics"></a>

配置域名、端口（默认监听 80/443）和标签。

### 回源配置 <a href="#origin-configuration" id="origin-configuration"></a>

回源配置负责将传入 Edge 的请求连接到能够处理它们的服务。在此过程中，Edge 可能会使用插件来更新请求，或在将请求转发到服务之前执行某些操作。

#### 默认简单模式 <a href="#simple-by-default" id="simple-by-default"></a>

* 配置源地址，可输入 IP 或域名。
* 回源参数允许您快速指定回源协议、端口、Host。

#### 路径回源模式 <a href="#path-routing-modes" id="path-routing-modes"></a>

按路径匹配回源，支持精确和通配符匹配。

#### 按端口回源 <a href="#origin-by-port" id="origin-by-port"></a>

每个入口管理一组端口及其回源。

## 常见用例 <a href="#common-use-cases" id="common-use-cases"></a>

<table><thead><tr><th width="443.01953125">用例</th><th>功能</th></tr></thead><tbody><tr><td><ul><li>常规 80 443 监听</li><li>策略默认 80 跳转 443</li><li>回源配置：源地址、协议、Host、端口</li></ul></td><td>默认简单模式即可<br></td></tr><tr><td><ul><li>特殊端口监听</li><li>多个端口一样的回源配置</li></ul></td><td>配置域名里的端口</td></tr><tr><td><ul><li>不同的路径需要不同的回源</li></ul></td><td>打开按路径回源模式</td></tr><tr><td><ul><li>回源协议跟随请求：http > http, https > https</li><li>回源端口跟随请求：80 > 80, 443 > 443</li></ul></td><td>使用按端口回源</td></tr><tr><td><ul><li>不同端口需要不同的回源</li></ul></td><td>使用按端口回源</td></tr></tbody></table>

{% hint style="info" %}
使用**回源控制插件**可以支持最复杂的条件回源。
{% endhint %}

## 大规模批量管理 <a href="#bulk-management" id="bulk-management"></a>

在大批量管理中，引入标签将会很有用。

→ [了解有关标签的更多信息](/zh/docs/edge/endpoints/tags.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://www.axisnow.io/zh/docs/edge/endpoints/domains.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
